
Infrastructure - Bug #1914

Big Integers need to be limited to length of unsigned long

2011-10-26 17:07 - Robert Waltz

Status: Closed Start date: 2011-10-26

Priority: Low Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2012.03-Block.1.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

need comparisons on values of BigIntegers such that the values are not larger than max size of unsigned long (since we don't have a

max size of unsigned long on java, how do we calculate it?)

Add qualifications to the BigIntegerMarshaller in org.dataone.service.util

Related issues:

Related to Infrastructure - Story #2226: Create release candidates for d1_com... Closed 2012-01-18

Related to Infrastructure - Task #2229: Regenerate d1_common_java libraries Closed 2012-01-18

History

#1 - 2012-01-17 18:40 - Robert Waltz

- Target version set to Sprint-2012.03-Block.1.2

- Milestone changed from None to CCI-1.0.0

#2 - 2012-01-20 18:47 - Robert Waltz

- Status changed from New to Closed
